.TH "orte_app_context_t" 3 "7 Dec 2005" "Version 0.1.1" "OpenMPI" \" -*- nroff -*-
.ad l
.nh
.SH NAME
orte_app_context_t \- Information about a specific application to be launched in the RTE.  

.PP
.SH SYNOPSIS
.br
.PP
\fC#include <rmgr_types.h>\fP
.PP
.SS "Data Fields"

.in +1c
.ti -1c
.RI "\fBopal_object_t\fP \fBsuper\fP"
.br
.RI "\fIParent object. \fP"
.ti -1c
.RI "size_t \fBidx\fP"
.br
.RI "\fIUnique index when multiple apps per job. \fP"
.ti -1c
.RI "char * \fBapp\fP"
.br
.RI "\fIAbsolute pathname of argv[0]. \fP"
.ti -1c
.RI "size_t \fBnum_procs\fP"
.br
.RI "\fINumber of copies of this process that are to be launched. \fP"
.ti -1c
.RI "int \fBargc\fP"
.br
.RI "\fILength of the argv array, not including final NULL entry. \fP"
.ti -1c
.RI "char ** \fBargv\fP"
.br
.RI "\fIStandard argv-style array, including a final NULL pointer. \fP"
.ti -1c
.RI "size_t \fBnum_env\fP"
.br
.RI "\fILength of the env array, not including the final NULL entry. \fP"
.ti -1c
.RI "char ** \fBenv\fP"
.br
.RI "\fIStandard environ-style array, including a final NULL pointer. \fP"
.ti -1c
.RI "char * \fBcwd\fP"
.br
.RI "\fICurrent working directory for this app. \fP"
.ti -1c
.RI "size_t \fBnum_map\fP"
.br
.RI "\fILength of the map_data array, not including the final NULL entry. \fP"
.ti -1c
.RI "\fBorte_app_context_map_t\fP ** \fBmap_data\fP"
.br
.RI "\fIMapping data about how this app should be laid out across CPUs / nodes. \fP"
.ti -1c
.RI "char * \fBprefix_dir\fP"
.br
.RI "\fIPrefix directory for this app (or NULL if no override necessary). \fP"
.in -1c
.SH "Detailed Description"
.PP 
Information about a specific application to be launched in the RTE. 
.PP


.SH "Author"
.PP 
Generated automatically by Doxygen for OpenMPI from the source code.
